- DO NOT DOWNLOAD - NOT Firefox 3 Compatible Rated 1 out of 5 stars

It's a shame that it has come to this but I must warn others not to download AutoSlideshow. Just because of the fact that the green "Add to Firefox" button is active does not mean that it works in Firefox 3.
It does not work at all with Firefox 3.

The developer has not responded to attempts to contact him just to see if he is going to ever bother updating AutoSlideshow. While I hope that he is well, Firefox users are wasting their time by installing AutoSlideshow, restarting Firefox, trying to figure out how AutoSlideshow works just to give up from frustration.

Add-ons like these should be removed and be sent to a non-Firefox 3 compatible category. There are many perfectly good working add-ons in the "Sanbox" considered as "experimental" just sitting waiting to be reviewed yet this one is allowed to continue to be in the public section and waste end user's time.

The developer lists 2 reviews that I have written on AutoSlideshow on his web site and we had a good rapport. It's a shame to lose such a great and popular add-on.